| Home | Libraries | People | FAQ | More

###### field::field (31 of 31 overloads)

Constructs a `field` from a `field_view`.

###### Synopsis

    field(
        const field_view& v);

###### Description

The resulting `field` has the same kind and value as the original `field_view`.

###### Exception safety

Strong guarantee. Internal allocations may throw.

###### Object lifetimes

The resulting `field` is guaranteed to be valid even after `v` becomes invalid.